=== debian/changelog ===
httraqt (1.4.7-1) unstable; urgency=medium

  * [ebd5cc4] Imported Upstream version 1.4.7
  * [7fb1de2] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Sun, 06 Dec 2015 12:39:24 +0100
