=== debian/control ===
Source: httraqt
Maintainer: Anton Gladky <gladk@debian.org>
Section: web
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               libhttrack-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtmultimedia5-dev,
               libssl-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/httraqt.git
Vcs-Git: git://anonscm.debian.org/collab-maint/httraqt.git
Homepage: http://httraqt.sourceforge.net/

Package: httraqt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: program for downloading of internet sites
 Program is intended for loading of Internet pages and/or their contents,
 equipped with flexible system of settings.
 HTTraQt - graphical user interface (GUI) for HTTrack library,
 developed in C++ and based on multiplatform Qt library.
