=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

export BUILD_DATE=$(shell dpkg-parsechangelog -S Date)

override_dh_installchangelogs:
	dh_installchangelogs README

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_DATE="$(BUILD_DATE)"
