## httraqt 1.4.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -78,7 +78,7 @@
 SET(HTTRAQT_PACKAGE httraqt)
 # SET(HTTRAQT_VERSION ${HTTRAQT_MAJOR_VERSION}.${HTTRAQT_MINOR_VERSION}.${HTTRAQT_RELEASE_VERSION}.${HTTRAQT_BUILD_VERSION})
 SET(HTTRAQT_HOST ${CMAKE_SYSTEM} ${CMAKE_SYSTEM_PROCESSOR})
-SET(HTTRAQT_COPYRIGHT "Copyright (c) 2012-2015, Eduard Kalinowski. All Rights Reserved.")
+SET(HTTRAQT_COPYRIGHT "Copyright (c) 2012-2017, Eduard Kalinowski. All Rights Reserved.")
 SET(HTTRAQT_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
 
 # Setup high-level build options
