=== debian/changelog ===
httraqt (1.4.8-1) unstable; urgency=medium

  * [4270897] Apply cme fix dpkg.
  * [0ed07ed] Use compat level 10.
  * [8a0fa26] New upstream version 1.4.8

 -- Anton Gladky <gladk@debian.org>  Fri, 20 Jan 2017 20:14:59 +0100
