## httraqt 1.4.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,13 +6,33 @@
 CMAKE_POLICY(SET CMP0015 OLD)
 
 # if you use the version 5, please change it to 5
-SET(USE_QT_VERSION 4)
+SET(USE_QT_VERSION 5)
 
 MESSAGE("Qt version for compiling: " ${USE_QT_VERSION})
 
 IF(NOT ${USE_QT_VERSION} MATCHES "4" AND NOT ${USE_QT_VERSION} MATCHES "5")
     MESSAGE(FATAL_ERROR "-- Qt version must be set to 4 or 5!")
 ENDIF()
+
+
+OPTION (USE_DEBUGGER "Include in binary file debug information" OFF)
+SET(USE_DEBUGGER false)
+
+#enable or disable profiling info
+# SET(USE_PROFILER false)
+
+OPTION (USE_PROFILER "Include in binary file profiling information" OFF)
+
+
+
+IF(${USE_DEBUGGER})
+  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS_DEBUG} -Wall")
+ELSE()
+  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS_RELEASE} -Wall")
+ENDIF()
+
+MESSAGE(STATUS "CMAKE_CXX_FLAGS ${CMAKE_CXX_FLAGS}")
+
 
 # INCLUDE(CPack)
 INCLUDE(CheckIncludeFile)
@@ -81,6 +101,21 @@
 SET(HTTRAQT_COPYRIGHT "Copyright (c) 2012-2017, Eduard Kalinowski. All Rights Reserved.")
 SET(HTTRAQT_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
 
+SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-exceptions -fno-rtti")
+
+# options for gprof 
+IF(${USE_PROFILER})
+  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pg")
+  SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pg")
+  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -pg")
+  # after execution of program: gprof ./build/ponyprog
+  # and get the information from gprof.txt file
+  MESSAGE(STATUS "Compile with profiling information")
+ELSE()
+  MESSAGE(STATUS "Compile without profiling information")
+ENDIF()
+
+
 # Setup high-level build options
 IF(WIN32 AND MSVC)
     SET(HTTRAQT_ENABLE_SYMBOL_VISIBILITY_DEFAULT ON)
@@ -115,17 +150,19 @@
 
 SET( HTTRACK_INCLUDES_DIR "" )
 
-IF(${USE_QT_VERSION} MATCHES "4")
-  INCLUDE_DIRECTORIES(${QT_INCLUDES})
+SET(HTTRAQT_CPACK_PACKAGE_SHLIBDEPS ON)
+
+IF(${USE_QT_VERSION} MATCHES "4")
+    INCLUDE_DIRECTORIES(${QT_INCLUDES})
     MESSAGE(STATUS "QT_INCLUDES ${QT_INCLUDES}")
-    LINK_DIRECTORIES(${QT_LIBRARY_DIR})
+#     LINK_DIRECTORIES(${QT_LIBRARY_DIR})
     MESSAGE(STATUS "QT_LIBRARY_DIR ${QT_LIBRARY_DIR}")
 ELSE()
     INCLUDE_DIRECTORIES(${Qt5Widgets_INCLUDE_DIRS}, ${Qt5Multimedia_INCLUDE_DIRS}, ${Qt5DBus_INCLUDE_DIRS})
     MESSAGE(STATUS "QT_INCLUDES  ${Qt5Widgets_INCLUDE_DIRS}, ${Qt5Multimedia_INCLUDE_DIRS}, ${Qt5DBus_INCLUDE_DIRS}")
 #     LINK_DIRECTORIES(${Qt5Core_LIBRARIES}, ${Qt5Multimedia_LIBRARIES}, ${Qt5DBus_LIBRARIES}, ${Qt5Widgets_LIBRARIES})
 #     MESSAGE(STATUS "QT_LIBRARY_DIR ${Qt5Core_LIBRARIES}, ${Qt5Multimedia_LIBRARIES}, ${Qt5DBus_LIBRARIES}, ${Qt5Widgets_LIBRARIES}")
-    SET(CMAKE_CXX_FLAGS "${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
+#     SET(CMAKE_CXX_FLAGS "${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
 ENDIF()
 
 SET ( OBJECTS_DIR temp )
@@ -162,6 +199,11 @@
     ${APP_FORMS_HEADERS}
     ${APP_RESOURCES_RCC}
 )
+
+IF(NOT ${USE_DEBUGGER})
+    ADD_DEFINITIONS(${QT_DEFINITIONS} -DQT_NO_DEBUG_OUTPUT -DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+    #ADD_DEFINITIONS(${QT_DEFINITIONS} -DQT_NO_DEBUG_OUTPUT)
+ENDIF()
 
 IF(${USE_QT_VERSION} MATCHES "4")
     INCLUDE(${QT_USE_FILE})
