=== debian/changelog ===
httraqt (1.4.9-5) unstable; urgency=medium

  * Install doc-files in /usr/share/httraqt. (Closes: #990895)

 -- Anton Gladky <gladk@debian.org>  Sat, 10 Jul 2021 22:16:58 +0200

httraqt (1.4.9-4) unstable; urgency=medium

  * [936829d] Fix section in manpage. (Closes: #963343)
  * [bfcbef7] Set upstream metadata fields: Repository.

 -- Anton Gladky <gladk@debian.org>  Sun, 28 Jun 2020 22:51:33 +0200

httraqt (1.4.9-3) unstable; urgency=medium

  * [73a80e9] Fix FTCBFS. (Closes: #917999)

 -- Anton Gladky <gladk@debian.org>  Tue, 05 May 2020 22:03:16 +0200

httraqt (1.4.9-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Anton Gladky ]
  * [ec12447] Trim trailing whitespace.
  * [1211c30] Bump debhelper from old 10 to 13.
  * [2b59c22] Set debhelper-compat version in Build-Depends.
  * [7bc16bb] Set Standards-Version to 4.5.0
  * [2058dca] Add Rules-Requires-Root: no
  * [5a1c40e] Add debian/.gitlab-ci.yml
  * [fb206c6] Move docs into the /usr/share/doc/htttraqt

 -- Anton Gladky <gladk@debian.org>  Mon, 04 May 2020 07:17:24 +0200

httraqt (1.4.9-1) unstable; urgency=medium

  * [fa67d0e] Update d/watch.
  * [c05647b] Set maximal hardening level.
  * [6eff4ab] Update patches
  * [167a718] New upstream version 1.4.9

 -- Anton Gladky <gladk@debian.org>  Tue, 18 Jul 2017 23:23:36 +0200
