=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Maintainer: Anton Gladky <gladk@debian.org>
 Section: web
 Priority: optional
+Rules-Requires-Root: no
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper-compat (= 13),
                libhttrack-dev,
                qtbase5-dev,
                qtbase5-dev-tools,
                qtmultimedia5-dev,
                libssl-dev
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/httraqt.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/httraqt.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian/httraqt
+Vcs-Git: https://salsa.debian.org/debian/httraqt.git
 Homepage: http://httraqt.sourceforge.net/
 
 Package: httraqt
