=== debian/watch ===
version=3
https://sf.net/httraqt/httraqt-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) debian uupdate
